DisplayTokenHandler (jEdit API Documentation)
Date: 2017-03-18

org.gjt.sp.jedit.syntax

## Class DisplayTokenHandler

- java.lang.Object
- - org.gjt.sp.jedit.syntax.DefaultTokenHandler
  - - org.gjt.sp.jedit.syntax.DisplayTokenHandler

- All Implemented Interfaces:
    TokenHandler

      public class DisplayTokenHandler
      extends DefaultTokenHandler

  Creates `Chunk` objects that can be painted on screen.

- - ### Field Summary

    - ### Fields inherited from class org.gjt.sp.jedit.syntax.DefaultTokenHandler

      `firstToken, lastToken, lineContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DisplayTokenHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<Chunk>` | `getChunkList()` Returns the list of chunks.
    `void` | `handleToken(javax.swing.text.Segment seg, byte id, int offset, int length, TokenMarker.LineContext context)` Called by the token marker when a syntax token has been parsed.
    `void` | `init(SyntaxStyle[] styles, java.awt.font.FontRenderContext fontRenderContext, javax.swing.text.TabExpander expander, java.util.List<Chunk> out, float wrapMargin, int physicalLineOffset)` Init some variables that will be used when marking tokens.

    - ### Methods inherited from class org.gjt.sp.jedit.syntax.DefaultTokenHandler

      `addToken, createToken, getLineContext, getParserRuleSet, getTokens, init, setLineContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DisplayTokenHandler

          public DisplayTokenHandler()

  - ### Method Detail

    - #### init

          public void init(SyntaxStyle[] styles,
                           java.awt.font.FontRenderContext fontRenderContext,
                           javax.swing.text.TabExpander expander,
                           java.util.List<Chunk> out,
                           float wrapMargin,
                           int physicalLineOffset)

      Init some variables that will be used when marking tokens. This is called before `JEditBuffer.markTokens(int, TokenHandler)` to store some data that will be required and that we don't want to put in the parameters
      Parameters:
        `styles` -
        `fontRenderContext` -
        `expander` -
        `out` -
        `wrapMargin` -
        `physicalLineOffset` - offset of the physical lines which these chunks belong to required for implementing elastic tabstops

    - #### getChunkList

          public java.util.List<Chunk> getChunkList()

      Returns the list of chunks. Each element is a head of linked chunks and represents a screen line.
      Since:
        jEdit 4.1pre7

    - #### handleToken

          public void handleToken(javax.swing.text.Segment seg,
                                  byte id,
                                  int offset,
                                  int length,
                                  TokenMarker.LineContext context)

      Called by the token marker when a syntax token has been parsed.
      Specified by:
        `handleToken` in interface `TokenHandler`
      Overrides:
        `handleToken` in class `DefaultTokenHandler`
      Parameters:
        `seg` - The segment containing the text
        `id` - The token type (one of the constants in the `Token` class).
        `offset` - The start offset of the token
        `length` - The number of characters in the token
        `context` - The line context
      Since:
        jEdit 4.2pre3